IntegrationsDatabricks
Run one read-only SELECT on a SQL warehouse with named parameters; long queries continue in the background and are fetched with statements.get.
Run one read-only SELECT on a SQL warehouse with named parameters; long queries continue in the background and are fetched with statements.get.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
connection_id*string
Resource identifier: connection_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/databricks/statements/execute" \ -H "Content-Type: application/json" \ -d '{ "warehouse_id": "0000000000000000", "statement": "example" }'{ "statement_id": "example", "state": "PENDING", "columns": [], "rows": [], "row_count": 0, "total_row_count": 0, "truncated": false, "cells_truncated": false, "next_chunk_index": 0, "error_code": "example"}